### Function

# GLib VariantType string_is_valid

since: 2.24

#### Declaration

    gboolean
    g_variant_type_string_is_valid (
      const gchar* type_string
    )

#### Description

Checks if `type_string` is a valid GVariant type string. This call is equivalent to calling `g_variant_type_string_scan()` and confirming that the following character is a nul terminator.

Available since: 2.24

#### Parameters

`type_string`

  Type: `const gchar*`

  A pointer to any string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `type_string` is exactly one valid type string

Since 2.24